/*
 * Copyright (c) 2007-2008 University of Washington
 * 
 * All rights reserved. For information, contact the Adeona research
 * team at adeona@cs.washington.edu
 *
 * See the file License.txt included in this distribution for details.
 *
 */
#ifndef _SCHED_H_
#define _SCHED_H_

#include "common.h"
#include "state.h"


int sched_nextstate( state_t* INOUT );
int sched_prevstate( state_t* init IN, state_t* toprev INOUT );
int sched_gobackn( state_t* init IN, state_t* curr INOUT, int n IN );
int sched_catchup( state_t* state INOUT, int* skipped OUT );
int sched_seekpasttime( state_t* state INOUT, time_t time IN );
int sched_seektotime( state_t* state INOUT, time_t time IN );
int sched_sleep( state_t* state IN );

#endif // _SCHED_H_

