/*
 * Copyright (c) 2007-2008 University of Washington
 * 
 * All rights reserved. For information, contact the Adeona research
 * team at adeona@cs.washington.edu
 *
 * See the file License.txt included in this distribution for details.
 *
 */
#ifndef _WEBCAM_H_
#define _WEBCAM_H_

#include "common.h"

#define WEBCAM_IMGDATA_UPPERBOUND 8192

typedef struct _webcamimg
{
    int len;
    uchar* image;
} webcamimg_t;

int webcam_snapshot_get( webcamimg_t* img OUT );

int webcam_snapshot_save( const char* filename IN, webcamimg_t* img IN );

#endif // _WEBCAM_H_

