/*
 * Copyright (c) 2007-2008 University of Washington
 * 
 * All rights reserved. For information, contact the Adeona research
 * team at adeona@cs.washington.edu
 *
 * See the file License.txt included in this distribution for details.
 *
 */
#ifndef _GATEWAYS_H_
#define _GATEWAYS_H_

#include "common.h"

int gateways_load( char* filename IN );

const char* gateways_get_random( void  );

const char* gateways_get( int index );

int gateways_isloaded( void );

// url is expected to be "hostname/path/to/gateways_update_file"
int gateways_update_get( char* url IN );

void gateways_free( void );

#endif // _GATEWAYS_H_

